PHP Manual
Prev |  | Next

# ora_commiton

(PHP 3, PHP 4, PHP 5 <= 5.1.0RC1)

ora_commiton -- Enable automatic commit

## Description

bool ora_commiton ( resource connection )

Turns on automatic commit after each ora_exec() on the given connection.

## Parameters

`connection`

  A connection identifier, opened with ora_logon().

## Return Values

Returns `TRUE` on success or `FALSE` on failure. Details about the error can be retrieved using the ora_error() and ora_errorcode() functions.

## ChangeLog

Version | Description
--- | ---
5.1.0 | The oracle extension is deprecated in favor of oci8.

## Notes

When using oci8 as a replacement for the deprecated oracle extension, consider using:

oci_execute()

## See Also

ora_commitoff()
ora_commit()

Prev | Home | Next
ora_commitoff | Up | ora_do